Subject: Re: Newsgroup?
From: Christopher Faylor <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 14 Feb 2001 16:25:36 -0500

On Wed, Feb 14, 2001 at 09:42:23PM +0100, Andreas Madritsch wrote:
>Is there a newsgroup, where I can post questions to cygwin?

The cygwin web page is http://cygwin.com/ .  Any information on what is
available is there.

>I have problems compiling code with cygwin, which can be compiled with
>djgpp without problems. The error messages looks
>like:
>
>timers.c: In function `alarmhandler':
>timers.c:538: `SIGALRM' undeclared (first use in this function)
>timers.c: In function `update_async':
>timers.c:546: storage size of `t' isn't known
>timers.c:553: `SIGALRM' undeclared (first use in this function)
>timers.c:555: `ITIMER_REAL' undeclared (first use in this function)
>timers.c:560: storage size of `t' isn't known
>
>It seems that the headers signal.h and time.h aren't included properly.
>I could add the following code extracted from signal.h and time.h to my
>source:
>
>#define SIGALRM 14
>#define ITIMER_REAL 0
>struct  itimerval {
>  struct  timeval it_interval;
>  struct  timeval it_value;
>}t;
>
>But the binary created then doesn't work.

ITIMER_REAL is defined in /usr/include/sys/time.h.

>btw. how can I generate binaries which don't use dll's from cygwin?

You can't.  Sorry.

Btw, if you use Cygwin in an application, the application automatically
becomes free software.  Just so you know.

cgf

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple